## console-setup 1.178ubuntu2.9

=== Fonts/Makefile ===
fntdir ?= $(shell pwd)
include $(fntdir)/../rules.mk

# The following two shortcuts will be redefined, so they can not be
# used in recipes and target specific variables.
. := $(fntdir)
~ := fnt

Fixed13-BDFS := 8x13-IL2.bdf+8x13.bdf+8x13c.bdf
Fixed14-BDFS := georgian14.bdf+7x14-IL2.bdf+7x14.bdf+7x14c.bdf+h14.bdf+etl14-unicode.bdf
Fixed15-BDFS := 9x15-IL2.bdf+9x15.bdf+9x15c.bdf
Fixed16-BDFS := georgian16.bdf+unifont.bdf+h16.bdf+etl16-unicode.bdf
Fixed18-BDFS := 9x18.bdf
Fixed24x12-BDFS := h24.bdf+etl24-unicode.bdf

FixedBold13-BDFS := 8x13B.bdf+8x13Bc.bdf
FixedBold14-BDFS := h14_b.bdf+7x14B-IL2.bdf+7x14B.bdf+7x14c.bdf
FixedBold15-BDFS := 9x15B-IL2.bdf+9x15B.bdf+9x15Bc.bdf
FixedBold16-BDFS := h16_b.bdf
FixedBold18-BDFS := 9x18B.bdf
FixedBold24x12-BDFS := h24_b.bdf

# We have to complement 8x13O.bdf because it doesn't contain box drawings
FixedOblique13-BDFS := 8x13O.bdf+8x13.bdf

Terminus12x6-BDFS := ter-u12n.bdf
Terminus14-BDFS := ter-u14n.bdf
Terminus16-BDFS := ter-u16n.bdf
Terminus20x10-BDFS := ter-u20n.bdf
Terminus22x11-BDFS := ter-u22n.bdf
Terminus24x12-BDFS := ter-u24n.bdf
Terminus28x14-BDFS := ter-u28n.bdf
Terminus32x16-BDFS := ter-u32n.bdf
TerminusBold12x6-BDFS := ter-u12b.bdf
TerminusBold14-BDFS := ter-u14b.bdf
TerminusBold16-BDFS := ter-u16b.bdf
TerminusBold20x10-BDFS := ter-u20b.bdf
TerminusBold22x11-BDFS := ter-u22b.bdf
TerminusBold24x12-BDFS := ter-u24b.bdf
TerminusBold28x14-BDFS := ter-u28b.bdf
TerminusBold32x16-BDFS := ter-u32b.bdf
TerminusBoldVGA14-BDFS := ter-u14v.bdf
TerminusBoldVGA16-BDFS := ter-u16v.bdf

Courier13-BDFS := 75dpi-courR12-IL2.bdf+75dpi-courR12.bdf+75dpi-courR12c.bdf
Courier14-BDFS := 100dpi-courR10-IL2.bdf+100dpi-courR10.bdf
Courier15-BDFS := 75dpi-courR14-IL2.bdf+75dpi-courR14.bdf+75dpi-courR14c.bdf
Courier16-BDFS := 8x16c.bdf+8x16-IL2.bdf

CourierBold13-BDFS := 75dpi-courB12-IL2.bdf+75dpi-courB12.bdf+75dpi-courB12c.bdf
CourierBold14-BDFS := 100dpi-courB10-IL2.bdf+100dpi-courB10.bdf
CourierBold15-BDFS := 75dpi-courB14-IL2.bdf+75dpi-courB14.bdf+75dpi-courB14c.bdf

Lucid12-BDFS := 100dpi-lutRS08-IL2.bdf+100dpi-lutRS08.bdf
Lucid13-BDFS := 75dpi-lutRS12-IL2.bdf+75dpi-lutRS12.bdf+75dpi-lutRS12c.bdf
Lucid15-BDFS := 75dpi-lutRS14-IL2.bdf+75dpi-lutRS14.bdf+75dpi-lutRS14c.bdf
Lucid16-BDFS := 100dpi-lutRS10-IL2.bdf+100dpi-lutRS10.bdf
Lucid22x12-BDFS := 100dpi-lutRS14-IL2.bdf+100dpi-lutRS14.bdf
Lucid29x16-BDFS := 100dpi-lutRS19.bdf

LucidBold11-BDFS := 100dpi-lutBS08-IL2.bdf+100dpi-lutBS08.bdf
LucidBold13-BDFS := 75dpi-lutBS12-IL2.bdf+75dpi-lutBS12.bdf+75dpi-lutBS12c.bdf
LucidBold15-BDFS := 75dpi-lutBS14-IL2.bdf+75dpi-lutBS14.bdf+75dpi-lutBS14c.bdf
LucidBold16-BDFS := 100dpi-lutBS10-IL2.bdf+100dpi-lutBS10.bdf
LucidBold22x12-BDFS := 100dpi-lutBS14-IL2.bdf+100dpi-lutBS14.bdf
LucidBold29x16-BDFS := 100dpi-lutBS19.bdf

Goha12-BDFS := Goha12.bdf
Goha14-BDFS := Goha14.bdf
Goha16-BDFS := Goha16.bdf

GohaClassic12-BDFS := GohaClassic12.bdf
GohaClassic14-BDFS := GohaClassic14.bdf
GohaClassic16-BDFS := GohaClassic16.bdf

###################################################################

VGA8-CODESETS := Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA10-CODESETS := Lat15 Lat2
VGA12-CODESETS := Lat15 Lat2
VGA14-CODESETS := Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA16-CODESETS := Arabic CyrKoi CyrSlav Greek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA19-CODESETS := Lat15

VGA28x16-CODESETS := $(VGA14-CODESETS)
VGA32x16-CODESETS := $(VGA16-CODESETS)

Arabic-legacy14-BDFS := legacy14i.bdf+legacy14f.bdf+legacy14l.bdf+legacy14b.bdf
Arabic-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16c.bdf+legacy16f.bdf+legacy16k.bdf
Arabic-legacy8-BDFS := legacy8f.bdf+legacy8d.bdf+legacy8i.bdf+legacy8b.bdf
CyrKoi-legacy14-BDFS := legacy14b.bdf+legacy14a.bdf+legacy14c.bdf+legacy14g.bdf
CyrKoi-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16b.bdf+legacy16a.bdf
CyrKoi-legacy8-BDFS := legacy8b.bdf+legacy8a.bdf
CyrSlav-legacy14-BDFS := legacy14a.bdf+legacy14l.bdf+legacy14c.bdf+legacy14e.bdf+legacy14i.bdf
CyrSlav-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16a.bdf+legacy16k.bdf+legacy16c.bdf+legacy16b.bdf
CyrSlav-legacy8-BDFS := legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8c.bdf+legacy8f.bdf
Greek-legacy14-BDFS := legacy14g.bdf+legacy14l.bdf+legacy14b.bdf+legacy14i.bdf
Greek-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16a.bdf+legacy16k.bdf+legacy16c.bdf
Greek-legacy8-BDFS := legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf
Hebrew-legacy14-BDFS := legacy14h.bdf+legacy14l.bdf+legacy14i.bdf+legacy14b.bdf
Hebrew-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16g.bdf+legacy16k.bdf+legacy16c.bdf
Hebrew-legacy8-BDFS := legacy8e.bdf+legacy8i.bdf+legacy8f.bdf+legacy8b.bdf
Lat15-legacy10-BDFS := legacy10b.bdf+legacy10a.bdf+legacy10d.bdf
Lat15-legacy12-BDFS := legacy12a.bdf+legacy12d.bdf+legacy12c.bdf
Lat15-legacy14-BDFS := legacy14i.bdf+legacy14l.bdf+legacy14a.bdf+legacy14b.bdf
Lat15-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16c.bdf+legacy16k.bdf+legacy16a.bdf
Lat15-legacy19-BDFS := legacy19a.bdf
Lat15-legacy8-BDFS := legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf
Lat2-legacy10-BDFS := legacy10d.bdf+legacy10a.bdf+legacy10b.bdf
Lat2-legacy12-BDFS := legacy12c.bdf+legacy12d.bdf+legacy12a.bdf
Lat2-legacy14-BDFS := legacy14k.bdf+legacy14l.bdf+legacy14i.bdf+legacy14b.bdf
Lat2-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16c.bdf+legacy16k.bdf
Lat2-legacy8-BDFS := legacy8f.bdf+legacy8i.bdf+legacy8b.bdf
Lat38-legacy14-BDFS := legacy14e.bdf+legacy14i.bdf+legacy14b.bdf
Lat38-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16e.bdf+legacy16h.bdf+legacy16a.bdf
Lat38-legacy8-BDFS := legacy8c.bdf+legacy8f.bdf+legacy8b.bdf
Lat7-legacy14-BDFS := legacy14l.bdf+legacy14e.bdf+legacy14i.bdf+legacy14b.bdf
Lat7-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16e.bdf+legacy16k.bdf+legacy16c.bdf
Lat7-legacy8-BDFS := legacy8i.bdf+legacy8c.bdf+legacy8f.bdf+legacy8b.bdf
Uni1-legacy14-BDFS := legacy14a.bdf+legacy14e.bdf+legacy14f.bdf+legacy14l.bdf+legacy14h.bdf+legacy14c.bdf
Uni1-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16e.bdf+legacy16a.bdf+legacy16f.bdf+legacy16g.bdf+legacy16k.bdf+legacy16b.bdf
Uni1-legacy8-BDFS := legacy8a.bdf+legacy8c.bdf+legacy8d.bdf+legacy8i.bdf+legacy8e.bdf+legacy8b.bdf
Uni2-legacy14-BDFS := legacy14e.bdf+legacy14a.bdf+legacy14g.bdf+legacy14l.bdf+legacy14c.bdf+legacy14i.bdf
Uni2-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16a.bdf+legacy16e.bdf+legacy16h.bdf+legacy16k.bdf+legacy16b.bdf
Uni2-legacy8-BDFS := legacy8a.bdf+legacy8c.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf

adddouble = $(subst .bdf,-double.bdf, $(1))

Arabic-legacy32x16-BDFS := $(call adddouble, $(Arabic-legacy16-BDFS))
Armenian-legacy32x16-BDFS := $(call adddouble, $(Armenian-legacy16-BDFS))
CyrAsia-legacy32x16-BDFS := $(call adddouble, $(CyrAsia-legacy16-BDFS))
CyrKoi-legacy32x16-BDFS := $(call adddouble, $(CyrKoi-legacy16-BDFS))
CyrSlav-legacy32x16-BDFS := $(call adddouble, $(CyrSlav-legacy16-BDFS))
Ethiopian-legacy32x16-BDFS := $(call adddouble, $(Ethiopian-legacy16-BDFS))
Georgian-legacy32x16-BDFS := $(call adddouble, $(Georgian-legacy16-BDFS))
Greek-legacy32x16-BDFS := $(call adddouble, $(Greek-legacy16-BDFS))
Hebrew-legacy32x16-BDFS := $(call adddouble, $(Hebrew-legacy16-BDFS))
Lao-legacy32x16-BDFS := $(call adddouble, $(Lao-legacy16-BDFS))
Lat15-legacy32x16-BDFS := $(call adddouble, $(Lat15-legacy16-BDFS))
Lat2-legacy32x16-BDFS := $(call adddouble, $(Lat2-legacy16-BDFS))
Lat38-legacy32x16-BDFS := $(call adddouble, $(Lat38-legacy16-BDFS))
Lat7-legacy32x16-BDFS := $(call adddouble, $(Lat7-legacy16-BDFS))
Thai-legacy32x16-BDFS := $(call adddouble, $(Thai-legacy16-BDFS))
Uni1-legacy32x16-BDFS := $(call adddouble, $(Uni1-legacy16-BDFS))
Uni2-legacy32x16-BDFS := $(call adddouble, $(Uni2-legacy16-BDFS))
Uni3-legacy32x16-BDFS := $(call adddouble, $(Uni3-legacy16-BDFS))
Vietnamese-legacy32x16-BDFS := $(call adddouble, $(Vietnamese-legacy16-BDFS))

Arabic-legacy28x16-BDFS := $(call adddouble, $(Arabic-legacy14-BDFS))
Armenian-legacy28x16-BDFS := $(call adddouble, $(Armenian-legacy14-BDFS))
CyrAsia-legacy28x16-BDFS := $(call adddouble, $(CyrAsia-legacy14-BDFS))
CyrKoi-legacy28x16-BDFS := $(call adddouble, $(CyrKoi-legacy14-BDFS))
CyrSlav-legacy28x16-BDFS := $(call adddouble, $(CyrSlav-legacy14-BDFS))
Ethiopian-legacy28x16-BDFS := $(call adddouble, $(Ethiopian-legacy14-BDFS))
Georgian-legacy28x16-BDFS := $(call adddouble, $(Georgian-legacy14-BDFS))
Greek-legacy28x16-BDFS := $(call adddouble, $(Greek-legacy14-BDFS))
Hebrew-legacy28x16-BDFS := $(call adddouble, $(Hebrew-legacy14-BDFS))
Lao-legacy28x16-BDFS := $(call adddouble, $(Lao-legacy14-BDFS))
Lat15-legacy28x16-BDFS := $(call adddouble, $(Lat15-legacy14-BDFS))
Lat2-legacy28x16-BDFS := $(call adddouble, $(Lat2-legacy14-BDFS))
Lat38-legacy28x16-BDFS := $(call adddouble, $(Lat38-legacy14-BDFS))
Lat7-legacy28x16-BDFS := $(call adddouble, $(Lat7-legacy14-BDFS))
Thai-legacy28x16-BDFS := $(call adddouble, $(Thai-legacy14-BDFS))
Uni1-legacy28x16-BDFS := $(call adddouble, $(Uni1-legacy14-BDFS))
Uni2-legacy28x16-BDFS := $(call adddouble, $(Uni2-legacy14-BDFS))
Uni3-legacy28x16-BDFS := $(call adddouble, $(Uni3-legacy14-BDFS))
Vietnamese-legacy28x16-BDFS := $(call adddouble, $(Vietnamese-legacy14-BDFS))

###################################################################

# All available non-legacy font faces
NONLEGACY_FACES := Fixed13 Fixed14 Fixed15 Fixed16 \
	Fixed18 Fixed24x12 \
	FixedBold13 FixedBold14 FixedBold15 FixedBold16 \
	FixedBold18 FixedBold24x12  \
	FixedOblique13 \
	Terminus12x6 Terminus14 Terminus16 Terminus22x11 Terminus24x12 \
	Terminus20x10 Terminus28x14 Terminus32x16 \
	TerminusBold12x6 TerminusBold14 TerminusBold16 TerminusBold20x10 \
	TerminusBold22x11 TerminusBold24x12 TerminusBold28x14 \
	TerminusBold32x16 TerminusBoldVGA14 TerminusBoldVGA16 \
	Courier13 Courier14 Courier15 Courier16 \
	CourierBold13 CourierBold14 CourierBold15 \
	Lucid12 Lucid13 Lucid15 Lucid16 Lucid22x12 Lucid29x16 \
	LucidBold11 LucidBold13 LucidBold15 \
	LucidBold16 LucidBold22x12 LucidBold29x16 \
	Goha12 Goha14 Goha16 GohaClassic12 GohaClassic14 GohaClassic16

LEGACY_FACES := VGA8 VGA10 VGA12 VGA14 VGA16 VGA19 VGA28x16 VGA32x16

FACES := $(NONLEGACY_FACES) $(LEGACY_FACES)

SMALL_CODESETS := Armenian CyrAsia CyrKoi CyrSlav Georgian Greek Hebrew Lao Lat15 Lat2 Lat38 Lat7 Thai

LARGE_CODESETS := Arabic Ethiopian Uni1 Uni2 Uni3 Vietnamese

CODESETS := $(SMALL_CODESETS) $(LARGE_CODESETS)

# Inside soft.Makefile the following variables are defined:
# I18N_FONT_NAMES - the names of all available fonts with enough i18n
# ENCODING_FONTSET - all sensible ENCODING - FONTSET combinations
# Use rm soft.Makefile && make soft.Makefile in order to update soft.Makefile
include $(fntdir)/soft.Makefile

# A list of all available font names
ALL_FONT_NAMES := $(sort $(foreach face, $(FACES), \
			$(addsuffix -$(face), $(CODESETS))))

# Good-looking fonts with enough i18n support
GOOD_FONT_NAMES := $(filter \
		%-Fixed13 %-Fixed14 %-Fixed15 %-Fixed16 %-Fixed18 \
		%-Terminus12x6 %-Terminus14 %-Terminus16	\
		%-Terminus22x11 %-Terminus24x12 %-Terminus20x10 \
		%-Terminus28x14 %-Terminus32x16			\
		%-TerminusBold14 %-TerminusBold16		\
		%-TerminusBold20x10 %-TerminusBold22x11         \
		%-TerminusBold24x12 %-TerminusBold28x14         \
		%-TerminusBold32x16 %-TerminusBoldVGA14         \
		%-TerminusBoldVGA16                             \
		%-Goha12 %-Goha14 %-Goha16 \
		%-GohaClassic12 %-GohaClassic14 %-GohaClassic16 \
		%-VGA8 %-VGA14 %-VGA16 \
		%-VGA28x16 %-VGA32x16, \
	$(I18N_FONT_NAMES))

# can be either GOOD_FONT_NAMES or I18N_FONT_NAMES or ALL_FONT_NAMES
FONT_NAMES := $(GOOD_FONT_NAMES)

# only small codesets can be used on FreeBSD and only non-framebuffer fonts
BSD_FONT_NAMES := $(filter-out %x6 %x10 %x11 %x12 %x14 %x16, \
			$(filter $(addsuffix %, $(SMALL_CODESETS)), \
				$(FONT_NAMES)))

# all available fonts for framebuffer
ALL_FB_FONT_NAMES := $(filter %x6 %x10 %x11 %x12 %x14 %x16, \

=== debian/changelog ===
console-setup (1.178ubuntu2.9) bionic; urgency=medium

  * Call setupcon --force only when debian-installer is active
    and always redirect output to /dev/null to not block. (LP: #520546)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 23 Apr 2019 14:04:14 +0200

console-setup (1.178ubuntu2.8) bionic; urgency=medium

  * setupcon: use /run for tempfiles (and dump the various unnecessary
    fallback paths), since /run is always mountable rw at least as early as
    /tmp is and is guaranteed to be safe from tmpcleaners at boot.  Only keep
    /tmp as a fallback in case we have access to write to /tmp and to a
    console, but not to /run.  LP: #1824227.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 10 Apr 2019 13:13:34 -0700

console-setup (1.178ubuntu2.7) bionic; urgency=medium

  * keyboard-configuration.config: Fix exit/return thinko (LP: #1788597)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Aug 2018 16:32:45 -0600

console-setup (1.178ubuntu2.6) bionic; urgency=medium

  * keyboard-configuration.config: Only treat missing XKBOPTIONS as empty.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 08 Aug 2018 17:32:23 -0600

console-setup (1.178ubuntu2.5) bionic; urgency=medium

  * keyboard-configuration.config: While sourcing config files to re-seed
    debconf, load missing variables as empty values of same (LP: #1762952)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 08 Aug 2018 16:50:48 -0600

console-setup (1.178ubuntu2.4) bionic; urgency=medium

  * keyboard-configuration.{config,templates}: There is no good default for
    layout toggling, stop pretending there is.  Console users can set one
    with dpkg-reconfigure or editing /etc/defaults/keyboard (LP: #1762952)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Jul 2018 05:50:59 -0600

console-setup (1.178ubuntu2.3) bionic; urgency=medium

  * Revert changes from 1.178ubuntu2.2 and 1.178ubuntu2.1 as those seem to
    have caused a regression in ubiquity's default locale-based keyboard layout
    pre-selection (LP: #1783326).

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Tue, 24 Jul 2018 22:46:09 +0200

console-setup (1.178ubuntu2.2) bionic; urgency=medium

  * debian/console-setup-udeb.postinst: Guard the dpkg call in the postinst,
    so it isn't attempted in the debian-installer environment (LP: #1782835)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 20 Jul 2018 14:22:45 -0600

console-setup (1.178ubuntu2.1) bionic; urgency=medium

  * debian/keyboard-configuration.postinst:
    - Don't change /etc/default/keyboard at package upgrades on
      desktops, since it may conflict with how desktops deal with
      keyboard configuration (LP: #1762952).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 15 May 2018 01:12:00 +0200

console-setup (1.178ubuntu2) bionic; urgency=medium

  * debian/keyboard-configuration.config:
    - Drop the xkb-keymap bits once again as we're not ready for those yet, as
      it's currently causing an invalid default layout in the installer.
      (LP: #1758647)

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Thu, 19 Apr 2018 08:53:32 +0200

console-setup (1.178ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add an apport hook.
    - If the locale is C during configuration, only set CHARMAP to ISO-8859-15
      on kFreeBSD; otherwise restore the previous behaviour from before the
      kFreeBSD port of using UTF-8 in that case.
    - Change the default font from Fixed to VGA for Lat15; while it's not
      entirely complete, it looks better and is largely good enough.
    - Set keymap and font in the initramfs if possible and sensible.
    - debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.postinst: use Ubuntu's virtual terminal color
      scheme by default, with a VGA color scheme available as an alternative.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Tolerate absence of setupcon in postinst scripts.
    - Added templates for keyboard detection.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - Map ppc64el/* to XKBMODEL=pc105.
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices.
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant.
    - Don't make debian/copyright a symlink to COPYRIGHT, this is disallowed
      by the Ubuntu archive installer.
    - Include pc105.tree for ubiquity; make sure it gets built.
    - Add Keyboard/Makefile rule to build pc105.tree.
    - Fix command injection in ckbcomp.
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - xmlreader, KeyboardNames.pl: Added model entry to skip model selection.
    - setupcon:
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap cache
        on boot.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - debian/rules: revert hard-coding of a list of "debconf-selectable"


## console-setup 1.178ubuntu9

=== debian/changelog ===
console-setup (1.178ubuntu9) cosmic; urgency=medium

  * keyboard-configuration.config: Fix exit/return thinko (LP: #1788597)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 23 Aug 2018 16:32:45 -0600

console-setup (1.178ubuntu8) cosmic; urgency=medium

  * keyboard-configuration.config: Only treat missing XKBOPTIONS as empty.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 08 Aug 2018 17:32:23 -0600

console-setup (1.178ubuntu7) cosmic; urgency=medium

  * keyboard-configuration.config: While sourcing config files to re-seed
    debconf, load missing variables as empty values of same (LP: #1762952)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 08 Aug 2018 16:50:48 -0600

console-setup (1.178ubuntu6) cosmic; urgency=medium

  * keyboard-configuration.{config,templates}: There is no good default for
    layout toggling, stop pretending there is.  Console users can set one
    with dpkg-reconfigure or editing /etc/defaults/keyboard (LP: #1762952)

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 25 Jul 2018 05:50:59 -0600

console-setup (1.178ubuntu5) cosmic; urgency=medium

  * Revert to 1.178ubuntu2, as 1.178ubuntu[34] caused an installer regression.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Jul 2018 19:34:59 -0600

console-setup (1.178ubuntu4) cosmic; urgency=medium

  * debian/console-setup-udeb.postinst: Guard the dpkg call in the postinst,
    so it isn't attempted in the debian-installer environment (LP: #1782835)

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 20 Jul 2018 14:22:45 -0600

console-setup (1.178ubuntu3) cosmic; urgency=medium

  * debian/keyboard-configuration.postinst:
    - Don't change /etc/default/keyboard at package upgrades on
      desktops, since it may conflict with how desktops deal with
      keyboard configuration (LP: #1762952).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 15 May 2018 01:12:00 +0200

## console-setup 1.178ubuntu9.2

=== debian/changelog ===
console-setup (1.178ubuntu9.2) cosmic; urgency=medium

  * Call setupcon --force only when debian-installer is active
    and always redirect output to /dev/null to not block. (LP: #520546)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 23 Apr 2019 13:55:23 +0200

console-setup (1.178ubuntu9.1) cosmic; urgency=medium

  * setupcon: use /run for tempfiles (and dump the various unnecessary
    fallback paths), since /run is always mountable rw at least as early as
    /tmp is and is guaranteed to be safe from tmpcleaners at boot.  Only keep
    /tmp as a fallback in case we have access to write to /tmp and to a
    console, but not to /run.  LP: #1824227.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 10 Apr 2019 13:02:51 -0700

## console-setup 1.178ubuntu12

=== debian/changelog ===
console-setup (1.178ubuntu12) disco; urgency=medium

  * setupcon: use /run for tempfiles (and dump the various unnecessary
    fallback paths), since /run is always mountable rw at least as early as
    /tmp is and is guaranteed to be safe from tmpcleaners at boot.  Only keep
    /tmp as a fallback in case we have access to write to /tmp and to a
    console, but not to /run.  LP: #1824227.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 10 Apr 2019 12:51:56 -0700

console-setup (1.178ubuntu11) disco; urgency=medium

  * kbdnames-maker: Call `{bind,}textdomain` after switching locale.
    There's a change in perl 5.28 to use `uselocale()` & friends instead of
    gettext directly, to support thread safety. Apparently this causes the
    results of `gettext()` calls to be cached now where they weren't before,
    and this breaks our keyboard name generation. For example, we have
    `en_GB*model*sun_type6_jp*Sun Type 6 (Japonesa)` instead of
    `en_GB*model*sun_type6_jp*Sun Type 6 (Japanese)`, and many many other
    examples.  Calling `bindtextdomain()` and then `textdomain()` after
    changing locale causes the cache to be invalidated and we get correct
    results again. LP: #1817453

 -- Iain Lane <iain@orangesquash.org.uk>  Fri, 15 Mar 2019 12:34:06 +0000

console-setup (1.178ubuntu10) disco; urgency=medium

  * No-change rebuild to pick up any new keyboard data. Resolves crash
    in Ubiquity KDE front end on non English language selection. (LP: #1810647)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 23 Jan 2019 07:34:00 +0000

## console-setup 1.178ubuntu12.1

=== debian/changelog ===
console-setup (1.178ubuntu12.1) disco; urgency=medium

  * Call setupcon --force only when debian-installer is active
    and always redirect output to /dev/null to not block. (LP: #520546)

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 23 Apr 2019 13:45:00 +0200

## console-setup 1.186

=== debian/changelog ===
console-setup (1.186) unstable; urgency=medium

  * Team upload

  [ Holger Wansing]
  * Change deprecated Priority: extra into optional. 
  * Fix spelling of 'argumengs' in changelog.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Galician (gl.po) by mantinan
  * Croatian (hr.po) by Valentin Vidic

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 23 Sep 2018 20:06:37 +0200

console-setup (1.185) unstable; urgency=medium

  * Team upload

  [ Cyril Brulebois ]
  * setupcon(findfile): Do not use `ls` in order to find a file because
    `ls` sorts its arguments.  Thanks to Alexey Shilin (patch provided),
    closes: #898303.
  * Update Vcs-{Browser,Git} to point to salsa (alioth's replacement).

  [ Updated translations ]
  * Belarusian (be.po) by Viktar Siarheichyk
  * Esperanto (eo.po) by Felipe Castro
  * Finnish (fi.po) by Arto Keiski
  * Hebrew (he.po) by Yaron Shahrabani
  * Icelandic (is.po) by Sveinn í Felli
  * Indonesian (id.po) by Andika Triwidada
  * Kannada (kn.po) by Yogesh
  * Korean (ko.po) by Changwoo Ryu
  * Norwegian Bokmål (nb.po) by Allan Nordhøy
  * Dutch (nl.po) by Frans Spiesschaert
  * Serbian (sr.po) by Filipovic Dragan
  * Swedish (sv.po) by Anders Jonsson
  * Telugu (te.po) by Praveen Illa
  * Simplified Chinese (zh_CN.po) by Boyuan Yang
  * Traditional Chinese (zh_TW.po) by Anthony Wong

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 14 Aug 2018 14:24:24 +0200

console-setup (1.184) unstable; urgency=medium

  [ Updated translations ]
  * Slovak (sk.po) by Ivan Masár

 -- Christian Perrier <bubulle@debian.org>  Tue, 17 Apr 2018 06:55:00 +0200

console-setup (1.183) unstable; urgency=medium

  [ Anton Zinoviev ]
  * Support for U+202F NARROW NO-BREAK SPACE.  Thanks to Alexey Shilin,
    closes: #895047.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 11 Apr 2018 23:15:51 +0300

console-setup (1.182) unstable; urgency=medium

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing

 -- Christian Perrier <bubulle@debian.org>  Sat, 31 Mar 2018 08:29:50 +0200

console-setup (1.181) unstable; urgency=medium

  [ Updated translations ]
  * Welsh (cy.po) by Huw Waters
  * Hungarian (hu.po) by Dr. Nagy Elemér Károly
  * Lithuanian (lt.po) by Moo
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Portuguese (pt.po) by Miguel Figueiredo

 -- Christian Perrier <bubulle@debian.org>  Sat, 24 Mar 2018 07:57:04 +0100

console-setup (1.180) unstable; urgency=medium

  * debian/console-setup.config: Fix getting codeset from codesets
    (Closes: Bug#892900)

 -- Samuel Thibault <sthibault@debian.org>  Wed, 14 Mar 2018 10:02:13 +0100

console-setup (1.179) unstable; urgency=medium

  [ Samuel Thibault ]
  * debian/font-switch: Complete language coverage.
  * debian/rules: Include more fonts for more complete speakup & brltty
    support.
  * debian/console-setup.config: Fix typo for Ethiopian font codeset.
  * Add FullCyrAsia, FullCyrSlav and FullGreek variants which are 512-glyph
    fonts without the character equivalence, which is needed for screen
    readers to properly get the text.

 -- Christian Perrier <bubulle@debian.org>  Mon, 12 Mar 2018 19:12:28 +0100

=== debian/control ===
Source: console-setup
Section: utils
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>, Christian Perrier <bubulle@debian.org>
Build-Depends-Indep: xkb-data (>= 1.6), locales-all, sharutils
Build-Depends: perl, debhelper (>= 9), po-debconf, libxml-parser-perl, bdfresize, liblocale-gettext-perl, dh-systemd
Standards-Version: 3.9.1
Vcs-Browser: https://salsa.debian.org/installer-team/console-setup
Vcs-Git: https://salsa.debian.org/installer-team/console-setup.git

Package: keyboard-configuration
Section: utils
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, liblocale-gettext-perl
Pre-Depends: debconf (>= 1.5.34)
Breaks: console-setup (<< 1.71), console-setup-mini (<< 1.47)
Replaces: console-setup (<< 1.47), console-setup-mini (<< 1.47)
Description: system-wide keyboard preferences
 This package maintains the keyboard preferences in
 /etc/default/keyboard.  Other packages can use the information
 provided by this package in order to configure the keyboard on the
 console or in X Window.

Package: console-setup
Section: utils
Architecture: all
Multi-Arch: foreign
Pre-Depends: debconf (>= 1.5.34)
Depends: console-setup-linux | console-setup-freebsd | hurd, xkb-data (>= 0.9), keyboard-configuration (= ${source:Version}), ${misc:Depends}
Suggests: lsb-base (>= 3.0-6), locales
Conflicts: console-setup-mini
Breaks: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: console font and keymap setup program
 This package provides the console with the same keyboard
 configuration scheme as the X Window System. As a result, there is no
 need to duplicate or change the keyboard files just to make simple
 customizations such as the use of dead keys, the key functioning as
 AltGr or Compose key, the key(s) to switch between Latin and
 non-Latin mode, etc.
 .
 The package also installs console fonts supporting many of the
 world's languages.  It provides an unified set of font faces - the
 classic VGA, the simplistic Fixed, and the cleaned Terminus,
 TerminusBold and TerminusBoldVGA.

Package: console-setup-mini
Section: utils
Priority: optional
Architecture: all
Multi-Arch: foreign
Recommends: kbd | console-tools
Depends: console-setup-linux | console-setup-freebsd, debconf (>= 0.5) | debconf-2.0, keyboard-configuration (= ${source:Version}), ${misc:Depends}
Suggests: lsb-base (>= 3.0-6)
Conflicts: console-setup
Breaks: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: console font and keymap setup program - reduced version for Linux
 This package provides the console with the same keyboard
 configuration scheme as the X Window System. As a result, there is no
 need to duplicate or change the keyboard files just to make simple
 customizations such as the use of dead keys, the key functioning as
 AltGr or Compose key, the key(s) to switch between Latin and
 non-Latin mode, etc.
 .
 This package can be useful for handhelds or other devices with small
 storage space.

Package: console-setup-linux
Section: utils
Priority: optional
Architecture: all
Multi-Arch: foreign
Depends: kbd (>= 0.99-12) | console-tools (>= 1:0.2.3-16), keyboard-configuration (= ${source:Version}), ${misc:Depends}, init-system-helpers (>= 1.29~) | initscripts
Suggests: console-setup
Conflicts: console-setup-freebsd
Breaks: console-terminus, console-cyrillic (<= 0.9-11), console-setup (<< 1.71)
Replaces: console-terminus, console-setup (<< 1.71)
Provides: console-terminus
Description: Linux specific part of console-setup
 This package includes fonts in psf format and definitions of various
 8-bit charmaps.

Package: console-setup-freebsd
Section: utils
Priority: optional
Architecture: all
Multi-Arch: foreign
Depends: vidcontrol, kbdcontrol, keyboard-configuration (= ${source:Version}), ${misc:Depends}, init-system-helpers (>= 1.29~) | initscripts
Suggests: console-setup
Conflicts: console-setup-linux
Breaks: console-setup (<< 1.71)
Replaces: console-setup (<< 1.71)
Description: FreeBSD specific part of console-setup
 This package includes raw, uuencoded fonts and various screen maps.

Package: bdf2psf
Section: utils
Priority: optional
Architecture: all
Multi-Arch: foreign
Depends: perl, ${misc:Depends}
Description: font converter to generate console fonts from BDF source fonts
 This package provides a command-line converter that can be used in
 scripts to build console fonts from BDF sources automatically. The
 converter comes with a collection of font encodings that cover many
 of the world's languages. The output font can use a different
 character encoding from the input. When the source font does not
 define a glyph for a particular symbol in the encoding table, that
 glyph position in the console font is not wasted but used for another
 symbol.
 .
 When deciding about the position in the font for a particular glyph,
 the converter takes into account that in text video modes the video
 adapter copies the eighth column of the glyph matrix of symbols
 positioned in the pseudographic area to the ninth column. In order to
 create fonts for text video modes, the width of the glyph matrix of
 the source BDF font should be seven, eight, or nine pixels; otherwise the
 converter creates fonts suitable for framebuffer only.

Package: console-setup-udeb
Section: debian-installer
Priority: optional
Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, ${misc:Depends}
Provides: keyboard-setup
Architecture: all
Multi-Arch: foreign
Description: Configure the keyboard
 Keyboard configurator for Debian Installer based on console-setup
Package-Type: udeb
XB-Installer-Menu-Item: 1200

Package: console-setup-amiga-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: optional
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: encoded Linux keyboard layouts for Amiga keyboards
Package-Type: udeb

Package: console-setup-ataritt-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: optional
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: encoded Linux keyboard layouts for Atari TT keyboards
Package-Type: udeb

Package: console-setup-macintoshold-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: optional
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: encoded Linux keyboard layouts for old-style Macintosh keyboards
Package-Type: udeb

Package: console-setup-pc-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: optional
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: encoded Linux keyboard layouts for PC keyboards
Package-Type: udeb

Package: console-setup-sun4-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: optional
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: encoded Linux keyboard layouts for Sun4 keyboards
Package-Type: udeb

Package: console-setup-sun5-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Priority: optional
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: encoded Linux keyboard layouts for Sun5 keyboards
Package-Type: udeb

Package: console-setup-pc-ekbd
Provides: console-setup-ekmap
Section: debian-installer
Priority: optional
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: encoded FreeBSD keyboard layouts for PC keyboards
Package-Type: udeb

Package: console-setup-linux-fonts-udeb
Section: debian-installer
Priority: optional
Depends: ${misc:Depends}, kbd-udeb
Architecture: all
Multi-Arch: foreign
Description: Linux console fonts for Debian Installer
Package-Type: udeb

Package: console-setup-freebsd-fonts-udeb
Section: debian-installer
Priority: optional
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: FreeBSD console fonts for Debian Installer
Package-Type: udeb

Package: console-setup-linux-charmaps-udeb
Section: debian-installer
Priority: optional
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: Linux 8-bit charmaps for console-setup-udeb
Package-Type: udeb

Package: console-setup-freebsd-charmaps-udeb
Section: debian-installer
Priority: optional
Depends: ${misc:Depends}
Architecture: all
Multi-Arch: foreign
Description: FreeBSD 8-bit charmaps for console-setup-udeb
Package-Type: udeb

=== debian/rules ===
#!/usr/bin/make -f

include Makefile

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

xkbdir := /usr/share/X11/xkb

pre := debian/preprocessor
manprocessor := sed \
	-e 's|^\([.a-zA-Z][a-zA-Z]*\) /usr/local/etc|\1 /etc|' \
	-e 's|^\([.a-zA-Z][a-zA-Z]*\) /usr/local|\1 /usr|'

# One font per fontset supported by d-i in text console
udeb-fonts := CyrAsia-Fixed16 CyrSlav-TerminusBold16 Greek-VGA16 \
Lat15-TerminusBold16 Lat2-TerminusBold16 Lat38-VGA16 Lat7-TerminusBold16
# These are Linux-only
udeb-fonts-big := 

# These are not properly supported by d-i in text console, but
# included for completeness for speakup & brltty screen reading
udeb-fonts += Armenian-Fixed16 Georgian-Fixed16 Hebrew-VGA16 Lao-Fixed16 Thai-Fixed16
udeb-fonts-big += Arabic-VGA16 Ethiopian-Goha16 Vietnamese-Fixed16

# These are needed for proper text screen reading by speakup and brltty
udeb-fonts-big += FullCyrAsia-Fixed16 FullCyrSlav-TerminusBold16 FullGreek-VGA16

# This is not useful (KOI8-R encoding)
# CyrKoi-TerminusBold16

# These are not useful (convered by fonts above)
# Uni1-VGA16 Uni2-VGA16 Uni3-Fixed16

# One fontset per charmap
udeb-scm := $(addprefix Fonts/, ARMSCII-8_Armenian.scm			\
CP1251_CyrSlav.scm CP1255_Hebrew.scm GEORGIAN-ACADEMY_Georgian.scm	\
GEORGIAN-PS_Georgian.scm IBM1133_Lao.scm ISO-8859-1_Lat15.scm		\
ISO-8859-2_Lat2.scm ISO-8859-3_Lat38.scm ISO-8859-4_Lat7.scm		\
ISO-8859-4_Lat15.scm ISO-8859-5_CyrSlav.scm ISO-8859-7_Greek.scm	\
ISO-8859-8_Hebrew.scm ISO-8859-9_Lat15.scm ISO-8859-10_Lat15.scm	\
ISO-8859-11_Thai.scm ISO-8859-13_Lat7.scm ISO-8859-14_Lat38.scm		\
ISO-8859-15_Lat15.scm ISO-8859-16_Lat2.scm KOI8-R_CyrKoi.scm		\
KOI8-U_CyrKoi.scm TIS-620_Thai.scm)

udeb-fonts-linux = $(addprefix Fonts/, $(addsuffix .psf.gz, \
			$(udeb-fonts) $(udeb-fonts-big)))
udeb-fonts-freebsd = $(addprefix Fonts/, $(addsuffix .fnt, $(udeb-fonts)))

debian/kbdnames.gz: $./Keyboard/KeyboardNames.pl
	( cd Keyboard \
	&& ./kbdnames-maker ./KeyboardNames.pl \
		| grep -v '^C[*]' | grep -v '[*]model[*]' | sort | gzip -9n ) >$@

models := amiga ataritt macintosh_old pc105 sun4 sun5

di-gzipped-ekmaps := $(addprefix $./, $(addsuffix .ekmap.gz, $(models)))

di-gzipped-ekbds := $./pc105.ekbd.gz

# di-kbdnames = us al ara es(ast) bd by in(ben) be ba br gb bg bg(phonetic)...
di-kbdnames := $(shell grep -A 2 keyboard-configuration/xkb-keymap debian/console-setup-udeb.templates | tail -n 1 | cut -d ' ' -f 2- | tr -d , | tr ' ' '\n' | grep -v skip-config)

$./%.ekmap : model = $(notdir $(@:%.ekmap=%))
$./%.ekmap :
	(cd Keyboard \
	&& ./kbdcompiler $(model) ./KeyboardNames.pl $(xkbdir) \
		"$(di-kbdnames)") >$@

$./%.ekbd : model = $(notdir $(@:%.ekbd=%))
$./%.ekbd :
	(cd Keyboard \
	&& ./kbdcompiler freebsd-$(model) ./KeyboardNames.pl $(xkbdir) \
		"$(di-kbdnames)") >$@

# The following rules ensure that kbdcompiler is not run
# simultaneously for normal and udeb kmaps
$(foreach i,$(gzipped-ekmaps:%.gz=%) $(gzipped-ekbds:%.gz=%),\
	$(eval $i: $(maindir)/$(notdir $i)))

# A hack so that KeyboardNames.pl is recomputed using the files in
# /usr/share/X11/xkb instead of the files shipped with console-setup
$(gzipped-ekmaps:%.gz=%) $(gzipped-ekbds:%.gz=%) $(di-gzipped-ekmaps:%.gz=%) $(di-gzipped-ekbds:%.gz=%) : $./Keyboard/KeyboardNames.pl
$./Keyboard/KeyboardNames.pl : building_debian
building_debian :
	touch building_debian

build: debian/kbdnames.gz $(di-gzipped-ekmaps) $(di-gzipped-ekbds)

clean : maintainer-clean
	dh_testdir
	-rm -f *.ekmap *.ekbd *.ekmap.gz *.ekbd.gz
	debconf-updatepo
	-rm -f build main_build building_debian
	-rm -f debian/kbdnames.gz
	-rm -f debian/*~
	dh_clean

.PHONY : deb-udeb-install
deb-udeb-install: deb-install-linux deb-install-freebsd deb-install-main deb-install-bdf2psf udeb-install-linux udeb-install-freebsd udeb-install

.PHONY : deb-install-linux
deb-install-linux: build
	dh_testdir
	dh_testroot
	dh_prep -p console-setup-linux
	$(MAKE) etcdir=debian/console-setup-linux/etc \
		prefix=debian/console-setup-linux/usr install-common-linux
	dh_install -p console-setup-linux \
		init/90-console-setup.rules lib/udev/rules.d/
	dh_install -p console-setup-linux \
		init/keyboard-setup.sh lib/console-setup/
	dh_install -p console-setup-linux \
		init/console-setup.sh lib/console-setup/
	dh_systemd_enable -p console-setup-linux \
		--name keyboard-setup
	dh_systemd_enable -p console-setup-linux \
		--name console-setup
	dh_installinit -p console-setup-linux \
		--no-start --name keyboard-setup.sh
	dh_installinit -p console-setup-linux \
		--no-start --name console-setup.sh
	dh_systemd_start -p console-setup-linux \
		--no-start --name keyboard-setup
	dh_systemd_start -p console-setup-linux \
		--no-start --name console-setup
	sed -i 's/RUNLEVEL/2 3 4 5/' \
		debian/console-setup-linux/etc/init.d/console-setup.sh

.PHONY : deb-install-freebsd
deb-install-freebsd: build
	dh_testdir
	dh_testroot
	dh_prep -p console-setup-freebsd
	$(MAKE) etcdir=debian/console-setup-freebsd/etc \
		prefix=debian/console-setup-freebsd/usr install-common-freebsd
	dh_install -p console-setup-freebsd \
		init/keyboard-setup.sh lib/console-setup/
	dh_install -p console-setup-freebsd \
		init/console-setup.sh lib/console-setup/
	dh_systemd_enable -p console-setup-freebsd \
		--name keyboard-setup
	dh_systemd_enable -p console-setup-freebsd \
		--name console-setup
	dh_installinit -p console-setup-freebsd \
		--no-start --name keyboard-setup.sh
	dh_installinit -p console-setup-freebsd \
		--no-start --name console-setup.sh
	dh_systemd_start -p console-setup-freebsd \
		--no-start --name keyboard-setup
	dh_systemd_start -p console-setup-freebsd \
		--no-start --name console-setup
	sed -i 's/RUNLEVEL/S/' \
		debian/console-setup-freebsd/etc/init.d/console-setup.sh

.PHONY : deb-install-main
deb-install-main: build
	dh_testdir
	dh_testroot
	dh_prep -pkeyboard-configuration
	dh_prep -p console-setup
	dh_prep -p console-setup-mini
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr install-common
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr install-ckbcomp
	$(MAKE) etcdir=debian/console-setup-mini/etc \
		prefix=debian/console-setup-mini/usr install-common
	$(MAKE) etcdir=debian/console-setup-mini/etc \
		prefix=debian/console-setup-mini/usr install-ckbcomp-mini
	$(pre) --mini debian/console-setup-mini/bin/setupcon
	$(pre) --mini debian/console-setup-mini/usr/bin/ckbcomp-mini
	ls debian/console-setup/usr/share/man/*/* \
	   debian/console-setup-mini/usr/share/man/*/* \
		| xargs -n 1 $(manprocessor) -i
	install -d debian/keyboard-configuration/usr/share/console-setup/
	mv debian/console-setup/etc/default/keyboard \
		debian/keyboard-configuration/usr/share/console-setup/
	install -d debian/console-setup/usr/share/console-setup/
	mv debian/console-setup/etc/default/console-setup \
		debian/console-setup/usr/share/console-setup/
	rm debian/console-setup-mini/etc/default/keyboard
	rm debian/console-setup-mini/etc/default/console-setup
	dh_movefiles -pkeyboard-configuration --sourcedir=debian/console-setup \
		usr/share/man/man5/keyboard.5
	rm debian/console-setup-mini/usr/share/man/man5/keyboard.5
# For KeyboardNames.pl and kbdnames-maker see #420914
	dh_install -pkeyboard-configuration Keyboard/KeyboardNames.pl \
		usr/share/console-setup/
	dh_install -pkeyboard-configuration Keyboard/kbdnames-maker \
		usr/share/console-setup/
	dh_link -pkeyboard-configuration usr/share/X11/xkb/rules/xorg.lst \
		usr/share/doc/keyboard-configuration/xorg.lst

.PHONY : deb-install-bdf2psf
deb-install-bdf2psf: build
	dh_testdir
	dh_testroot
	dh_prep -pbdf2psf
	dh_install -pbdf2psf Fonts/bdf2psf usr/bin/
	dh_install -pbdf2psf Fonts/*.equivalents Fonts/*.set \
		Fonts/fontsets usr/share/bdf2psf
	dh_installman -pbdf2psf man/bdf2psf.1
	dh_installdocs -pbdf2psf debian/README.fontsets

.PHONY : udeb-install-linux
udeb-install-linux: build

## console-setup 1.187

=== debian/changelog ===
console-setup (1.187) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Arabic (ar.po) by ButterflyOfFire
  * Asturian (ast.po) by Xuacu Saturio
  * Finnish (fi.po) - minor fixes
  * French (fr.po) - minor fixes
  * German (de.po) by Holger Wansing
  * Hindi (hi.po) by Himanshu Awasthi
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Latvian (lv.po) by Tranzistors
  * Marathi (mr.po) by Nayan Nakhare
  * Portuguese (pt.po) by Miguel Figueiredo
  * Russian (ru.po) by Yuri Kozlov
  * Turkish (tr.po) by Mert Dirik

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 29 Oct 2018 22:16:34 +0100

## console-setup 1.188

=== debian/changelog ===
console-setup (1.188) unstable; urgency=medium

  * Team upload

  [ Holger Wansing]
  * Remove trailing whitespaces from changelog file, to fix lintian tag.
  * Remove Multi-Arch declaration for all udebs, there is no point of this
    ATM; fixes 'unknown-field-in-control' lintian tag.

  [ Updated translations ]
  * Tibetan (bo.po) by Tennom
  * Catalan (ca.po) by Jordi Mallach
  * Greek (el.po) by Vangelis Skarmoutsos
  * Spanish (es.po) by Javier Fernández-Sanguino
  * Finnish (fi.po) by Juhani Numminen
  * Gujarati (gu.po) by Kartik Mistry
  * Polish (pl.po) by Michał Kułach
  * Romanian (ro.po) by Andrei Popescu

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 16 Dec 2018 15:30:46 +0100

=== debian/control ===
--- 
+++ 
@@ -124,7 +124,6 @@
 Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, ${misc:Depends}
 Provides: keyboard-setup
 Architecture: all
-Multi-Arch: foreign
 Description: Configure the keyboard
  Keyboard configurator for Debian Installer based on console-setup
 Package-Type: udeb
@@ -136,7 +135,6 @@
 Priority: optional
 Depends: ${misc:Depends}
 Architecture: all
-Multi-Arch: foreign
 Description: encoded Linux keyboard layouts for Amiga keyboards
 Package-Type: udeb
 
@@ -146,7 +144,6 @@
 Priority: optional
 Depends: ${misc:Depends}
 Architecture: all
-Multi-Arch: foreign
 Description: encoded Linux keyboard layouts for Atari TT keyboards
 Package-Type: udeb
 
@@ -156,7 +153,6 @@
 Priority: optional
 Depends: ${misc:Depends}
 Architecture: all
-Multi-Arch: foreign
 Description: encoded Linux keyboard layouts for old-style Macintosh keyboards
 Package-Type: udeb
 
@@ -166,7 +162,6 @@
 Priority: optional
 Depends: ${misc:Depends}
 Architecture: all
-Multi-Arch: foreign
 Description: encoded Linux keyboard layouts for PC keyboards
 Package-Type: udeb
 
@@ -176,7 +171,6 @@
 Priority: optional
 Depends: ${misc:Depends}
 Architecture: all
-Multi-Arch: foreign
 Description: encoded Linux keyboard layouts for Sun4 keyboards
 Package-Type: udeb
 
@@ -186,7 +180,6 @@
 Priority: optional
 Depends: ${misc:Depends}
 Architecture: all
-Multi-Arch: foreign
 Description: encoded Linux keyboard layouts for Sun5 keyboards
 Package-Type: udeb
 
@@ -196,7 +189,6 @@
 Priority: optional
 Depends: ${misc:Depends}
 Architecture: all
-Multi-Arch: foreign
 Description: encoded FreeBSD keyboard layouts for PC keyboards
 Package-Type: udeb
 
@@ -205,7 +197,6 @@
 Priority: optional
 Depends: ${misc:Depends}, kbd-udeb
 Architecture: all
-Multi-Arch: foreign
 Description: Linux console fonts for Debian Installer
 Package-Type: udeb
 
@@ -214,7 +205,6 @@
 Priority: optional
 Depends: ${misc:Depends}
 Architecture: all
-Multi-Arch: foreign
 Description: FreeBSD console fonts for Debian Installer
 Package-Type: udeb
 
@@ -223,7 +213,6 @@
 Priority: optional
 Depends: ${misc:Depends}
 Architecture: all
-Multi-Arch: foreign
 Description: Linux 8-bit charmaps for console-setup-udeb
 Package-Type: udeb
 
@@ -232,7 +221,6 @@
 Priority: optional
 Depends: ${misc:Depends}
 Architecture: all
-Multi-Arch: foreign
 Description: FreeBSD 8-bit charmaps for console-setup-udeb
 Package-Type: udeb

## console-setup 1.191

=== debian/changelog ===
console-setup (1.191) unstable; urgency=medium
  * Team upload

  [ Updated translations ]
  * Punjabi (Gurmukhi) (pa.po) by Aman ALam
  * Ukrainian (uk.po) by Anton Gladky

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 23 Mar 2019 21:13:24 +0100

console-setup (1.190) unstable; urgency=medium
  * Team upload

  * console-setup(5) manpage: correct section of setfont manpage and remove
    reference to no-longer existing consolechars manpage. Closes: #920312

  [ Updated translations ]
  * Punjabi (Gurmukhi) (pa.po) by Aman ALam
  * Vietnamese (vi.po) by Trần Ngọc Quân

 -- Holger Wansing <hwansing@mailbox.org>  Mon, 04 Mar 2019 04:44:51 +0100

console-setup (1.189) unstable; urgency=medium
  * Team upload

  [ Holger Wansing ]
  * Correct release date/time of version 1.188 in changelog file.
  * Remove trailing whitespaces from control and rules files, to fix
    lintian tag.

  [ Antonio Larrosa ]
  * Keyboard: Translate ISO_Left_Tab to Meta_Tab. Closes: #920287

  [ Updated translations ]
  * Danish (da.po) by Joe Hansen
  * Finnish (fi.po) by Juhani Numminen
  * Hebrew (he.po) by Yaron Shahrabani
  * Traditional Chinese (zh_TW.po) by Louies

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 08 Feb 2019 23:22:53 +0100

=== debian/control ===
--- 
+++ 
@@ -223,4 +223,3 @@
 Architecture: all
 Description: FreeBSD 8-bit charmaps for console-setup-udeb
 Package-Type: udeb
-
